Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2018:0736-1: moderate: Security update for postgresql95
openSUSE Security Update: Security update for postgresql95
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0736-1
Rating: moderate
References: #1081925
Cross-References: CVE-2018-1058
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for postgresql95 fixes the following issues:

Security issue fixed in PostgreSQL 9.5.12:

- CVE-2018-1058: Uncontrolled search path element in pg_dump and other
client applications (boo#1081925).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-279=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

postgresql95-9.5.12-2.6.1
postgresql95-contrib-9.5.12-2.6.1
postgresql95-contrib-debuginfo-9.5.12-2.6.1
postgresql95-debuginfo-9.5.12-2.6.1
postgresql95-debugsource-9.5.12-2.6.1
postgresql95-devel-9.5.12-2.6.1
postgresql95-devel-debuginfo-9.5.12-2.6.1
postgresql95-libs-debugsource-9.5.12-2.6.1
postgresql95-plperl-9.5.12-2.6.1
postgresql95-plperl-debuginfo-9.5.12-2.6.1
postgresql95-plpython-9.5.12-2.6.1
postgresql95-plpython-debuginfo-9.5.12-2.6.1
postgresql95-pltcl-9.5.12-2.6.1
postgresql95-pltcl-debuginfo-9.5.12-2.6.1
postgresql95-server-9.5.12-2.6.1
postgresql95-server-debuginfo-9.5.12-2.6.1
postgresql95-test-9.5.12-2.6.1

- openSUSE Leap 42.3 (noarch):

postgresql95-docs-9.5.12-2.6.1


References:

https://www.suse.com/security/cve/CVE-2018-1058.html
https://bugzilla.suse.com/1081925


< Previous Next >
This Thread
  • No further messages